Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.epochx.core
Class GPController<TYPE>

    java.lang.Object
      com.epochx.core.GPController<TYPE>

    public class GPController<TYPE>

extends java.lang.Object

The GPController class provides the method for executing multiple GP runs and so can be considered the key class for starting using EpochX. Even when only executing one GP run, this method should be used rather than working with `GPRun` directly.

To evolve a solution with EpochX the `GPController.run(GPModel)` method should be called, passing in a GPModel which defines the control parameters.

Method Summary
`static
`<TYPE> LifeCycleManager<TYPE>`
` | `getLifeCycleManager()`
`static
`<TYPE> GPRun<TYPE>[]`
` | `run(GPModel<TYPE> model)` Executes one or more GP runs.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### run

    public static <TYPE> GPRun<TYPE>[] run(GPModel<TYPE> model)

  Executes one or more GP runs. The number of runs is set within the model provided as an argument. This GPModel also supplies all the other control parameters for the runs - each run is executed using this same model object so will have identical parameters for comparison unless changed during execution, for example, in another thread. (Although note that unless stated elsewhere, this version of EpochX is not considered thread safe).

  Type Parameters:
    `TYPE` - The return type of the `CandidatePrograms` generated.
  Parameters:
    `model` - The GPModel which defines the control parameters for the runs.
  Returns:
    An array of the GPRun objects which were executed on the model. The details of each run can be retrieved from this object.
  See Also:
    `GPRun`, `GPModel`

### getLifeCycleManager

    public static <TYPE> LifeCycleManager<TYPE> getLifeCycleManager()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD